Bug 1250639 - RFE: Make Pacemaker resource names consistent
RFE: Make Pacemaker resource names consistent
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity low
: ---
: 11.0 (Ocata)
Assigned To: Fabio Massimo Di Nitto
Udi Shkalim
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-08-05 11:54 EDT by Lars Kellogg-Stedman
Modified: 2016-10-11 23:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-11 23:42:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2015-08-05 11:54:00 EDT
It would help both documentation and various sorts of task automation if we were to adopt a consistent naming scheme for our Pacemaker resources.

For example, many of our services use the "openstack-" prefix, as in:


But others don't:


And sometimes we're not even consistent within the same service:


How about we just give all openstack services resource names that start with the "openstack-" prefix?
Comment 3 Jaromir Coufal 2015-12-08 05:42:44 EST
This won't be easy fix - would break updates. Deferring to post-OSP8
Comment 5 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Fabio Massimo Di Nitto 2016-10-11 23:42:24 EDT
OSP10 drops virtually all OSP components from pacemaker, except active/passive service.

I don´t think the effort for those 2 services is worth the risk of breaking updates/upgrades given that in order to rename a service, the service has to be deconfigured and reconfigured within pacemaker.

Note You need to log in before you can comment on or make changes to this bug.